#
# Conditional build:
%bcond_without	kerberos5	# GSSAPI for SPNEGO auth
%bcond_without	libssh		# SSH support via libssh2
%bcond_with	tests		# build without tests

Summary:	C Git library
Summary(pl.UTF-8):	Biblioteka Git dla C
Name:		libgit2
Version:	1.7.1
Release:	1
License:	GPL v2 with linking exception
Group:		Libraries
#Source0Download: https://github.com/libgit2/libgit2/releases
Source0:	https://github.com/libgit2/libgit2/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	079b0e23412631e43285e8ad40d2bd47
Patch0:		%{name}-no-libgit2-test.patch
URL:		http://libgit2.github.com/
BuildRequires:	cmake >= 3.5.1
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	http-parser-devel >= 2
%{?with_libssh:BuildRequires:	libssh2-devel}
BuildRequires:	openssl-devel
BuildRequires:	pcre2-8-devel
BuildRequires:	pkgconfig
%{?with_tests:BuildRequires:	python}
BuildRequires:	rpmbuild(macros) >= 1.742
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language with
bindings.

%description -l pl.UTF-8
libgit2 to przenośna implementacja w czystym C głównych metod Gita,
udostępniona jako bezpieczna dla wątków biblioteka ze stałym API,
pozwalająca na pisanie własnych aplikacji dla Gita o natywnej
szybkości w dowolnym języku posiadającym odpowiednie wiązania.

%package devel
Summary:	Header files for libgit2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgit2
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	http-parser-devel
Requires:	libssh2-devel
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Header files for libgit2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgit2.

%package tools
Summary:	Tools for libgit2 library
Summary(pl.UTF-8):	Narzędzia dla biblioteki libgit2
Group:		Application
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description tools
Tools for libgit2 library.

%description tools -l pl.UTF-8
Narzędzia dla biblioteki libgit2.

%prep
%setup -q
%patch0 -p1

# Don't test network
sed -i '/ADD_TEST(online/s/^/#/' tests/CMakeLists.txt

%build
install -d build
cd build
# CMakeLists.txt supports only relative LIB_INSTALL_DIR and INCLUDE_INSTALL_DIR
# (otherwise .pc file is generated incorrectly).
# Type (:PATH or :STRING) must be specified explicitly to avoid expansion
# relative to cwd.
%cmake .. \
	%{cmake_on_off tests BUILD_TESTS} \
	-DREGEX_BACKEND=pcre2 \
	%{cmake_on_off kerberos5 USE_GSSAPI} \
	-DUSE_HTTP_PARSER=system \
	%{cmake_on_off libssh USE_SSH}
%{__make}

%{?with_tests:%{__make} test ARGS="-V"}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS docs/contributing.md COPYING README.md
%attr(755,root,root) %{_libdir}/libgit2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgit2.so.1.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgit2.so
%{_includedir}/git2.h
%{_includedir}/git2
%{_pkgconfigdir}/libgit2.pc

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/git2
%changelog
* Tue Nov 21 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgit2.git;a=log;h=master

* Thu Nov 16 2023 Jan Palus <atler@pld-linux.org> 5267f40
- up to 1.7.1 (new soname)

* Fri Aug 25 2023 Jan Palus <atler@pld-linux.org> 4b968fb
- up to 1.6.4 (new soname)

* Wed May 24 2023 Jan Palus <atler@pld-linux.org> 9749d92
- make -devel depend on %{?_isa} variant of libgit2

* Tue May 16 2023 Jakub Bogusz <qboosh@pld-linux.org> e01e101
- updated to 1.4.6

* Sat Aug 20 2022 Jan Palus <atler@pld-linux.org> b9a7f4e
- up to 1.4.4 (security fixes)

* Mon Jun 27 2022 Jan Palus <atler@pld-linux.org> 0066f32
- fix pcre2 detection so it does not depend on pcre2-posix-devel

* Sun Jun 26 2022 Jakub Bogusz <qboosh@pld-linux.org> dafc2bd
- updated to 1.4.3 (new soname)

* Sat Oct 23 2021 Jan Rękorajski <baggins@pld-linux.org> 952904a
- up to 1.3.0

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> f688522
- rebuild with openssl 3.0.0

* Fri Sep 03 2021 Adam Gołębiowski <adamg@pld-linux.org> e7b8c41
- updated to 1.2.0 (new soname)

* Thu May 27 2021 Jan Palus <atler@pld-linux.org> 6d43546
- updated deps

* Thu May 27 2021 Jan Palus <atler@pld-linux.org> 7c5a270
- up to 1.1.0

* Tue May 05 2020 Bartlomiej Zimon <uzi18@o2.pl> 1248fe9
- rel 1;

* Tue May 05 2020 Bartlomiej Zimon <uzi18@o2.pl> 2be19a6
- disable tests

* Tue May 05 2020 Bartlomiej Zimon <uzi18@o2.pl> 7a500a6
- up to 1.0.0, rel 0.1

* Sat Sep 07 2019 Jan Palus <atler@pld-linux.org> 5228328
- up to 0.28.3

* Thu Jul 25 2019 Jan Palus <atler@pld-linux.org> c2bb0da
- disable online tests with workaround from fedora; rel 2

* Thu May 23 2019 Jan Palus <atler@pld-linux.org> 76a2bda
- up to 0.28.2 (new soname)

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> 3bd4ac3
- switch to system cmake_on_off macro, BR: rpmbuild(macros) >= 1.742

* Tue Sep 18 2018 Jan Palus <atler@pld-linux.org> 28a84a4
- adjust online tests workaround; rel 4

